内核2.6安装Docker,遇见问题,求指导


内核2.6安装Docker,遇见问题,求指导。

安装Docker成功,但一用Docker命令就出错。

第一步

[root@localhost liping]# docker version
Client version: 1.5.0
Client API version: 1.17
Go version (client): go1.3.3
Git commit (client): a8a31ef/1.5.0
OS/Arch (client): linux/amd64
FATA[0000] Get http:///var/run/docker.sock/v1.17/version: dial unix /var/run/docker.sock: no such file or directory. Are you trying to connect to a TLS-enabled daemon without TLS? 
[root@localhost liping]# 

第二步

[root@localhost liping]# docker pull ubuntu:12.04
FATA[0000] Post http:///var/run/docker.sock/v1.17/images/create?fromImage=ubuntu%3A12.04: dial unix /var/run/docker.sock: no such file or directory 
[root@localhost liping]# 

第三步
[root@localhost liping]# docker images
FATA[0000] Get http:///var/run/docker.sock/v1.17/images/json: dial unix /var/run/docker.sock: no such file or directory. Are you trying to connect to a TLS-enabled daemon without TLS? 
[root@localhost liping]# 


求解答!谢谢!
已邀请:

oilbeater - 北大学渣@灵雀云

赞同来自: lping


2.6 的内核docker应该很早就不支持了,还是更新内核吧,不然之后的坑会更多,而且还没人知道

徐磊 - BlackOps@Qunar

赞同来自: henryon


先确认docker daemon启动起来没, /var/run/docker.sock: no such file or directory这个多半是因为docker daemon没启动。

如果启动不了再看docker日志确认下,日志在/var/log/docker

tifayuki - Tutum 工程师

赞同来自:


Docker requires a 64-bit installation regardless of your CentOS version. Also, your kernel must be 3.10 at minimum. CentOS 7 runs the 3.10 kernel, 6.5 does not. We make an exception for CentOS 6.5. To run Docker on CentOS-6.5 or later, you need kernel 2.6.32-431 or higher.

rsmgnu - 肉丝面

赞同来自:


楼上正解,linux内核都4.x了,不要跟2.6死磕了 :)

要回复问题请先登录注册